Subject: bug#18386: logname fails with error "logname: no login name" (is there an echo in here)

From: Linda Walsh <[email-masked]>
Date: Fri, 19 Sep 2014 17:45:31 -0700

Linda Walsh wrote:
>
> I do not have auditing nor selinux incorporated, nor do
> I really want to.
>
> Seems like glibc relying on having a specific security model
> loaded would seem to be a bug.
>
> I.e. It should work on normal linux security without extra
> security modules configed.
----
    BTW, FWIW, including audit in the kernel enables this
command to work, though "who" is still snafu'd...
That's a more complicated issue as not only has
the login table moved, but it's maintenance has been moved
to systemd...

Would have been nice if they'd updated the standalone version to
work and had systemd use that, but .. it's part of the
systemd-lockin-mentality.